Name:           jj
Version:        1
Release:        7%{?dist}
Summary:        A FIFO and file-system based Jabber/XMPP client
Group:          Applications/Internet
License:        GPLv3
URL:            http://23.fi/%{name}/
Source0:        http://23.fi/%{name}/%{name}-%{version}.tar.gz
# Utilize CFLAGS
# https://github.com/Petteri/jj/pull/2
Patch1:         %{name}-1-optflags.patch
BuildRequires:  loudmouth-devel
BuildRequires:  glib2-devel

%description
%{name} is more tool than traditional instant messenger client.  It can
be easily extended with normal UNIX tools. It is perfect for bots and
notifications.  Interaction is done by writing and reading files from
the server directory which %{name} creates.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .optflags

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README gpl.txt 
%{_bindir}/%{name}

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 03 2012 Petr Šabata <contyk@redhat.com> - 1-2
- Makefile patch modified, thanks Dan (#831705)

* Wed Jun 13 2012 Petr Šabata <contyk@redhat.com> - 1-1
- Initial packaging
